Subject: Re: [PATCH v2 net] bnx2x: Fix multiple UBSAN array-index-out-of-bounds

From: Jakub Kicinski <[email-masked]>
Date: Fri, 21 Jun 2024 13:38:35 -0700

On Thu, 20 Jun 2024 17:59:42 +0300 Ghadi Rahme wrote:
> I have tested this approach and it worked fine so I am more comfortable now
> changing the patch an sending in a v3 undoing the changes in v2 and simply
> increasing the array size. I believe now that using FP_SB_MAX_E1x instead
> of FP_SB_MAX_E2 to define the array size might have been an oversight when
> updating the driver to take full advantage of the E2 after it was just
> limiting itself to the capabilities of an E1x.

Sounds good! Just to be clear, please do include the explanations you
provided here in the commit message, with the necessary edits. There's
no limit on the length of the commit message.